D4Science Infrastructure - Task #5448

Dataminer - Need to align R configuration with RStudio simulation environment
Oct 06, 2016 11:21 PM - Emmanuel Blondel

Status: Closed Start date: Sep 30, 2016
Priority: Normal Due date: Nov 04, 2016
Assignee: Gianpaolo Coro % Done: 100%
Category: Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development, Production

Description

It was noticed in this activity https:/support.d4science.org/issues/4652#note-24 that R configuration was misaligned between
DataMiner execution environment and RStudio simulation environment. This was noticed in production RPrototypingLab VRE.

Could be please work on this alignment? It is really important that R configs are aligned to avoid any troubleshooting on algorithms
where the cause is not in the latter but due to discrepancies in the R configuration (Dataminer vs. RStudio).

A first important alignment is about R system locales, as spotted in the above ticket; setting a R profile where the following statement
is invoked:

Sys.setlocale (category = "LC_ALL", locale = "en_US.UTF-8")

Subtasks:

Task # 5290: Align DataMiner Locale to the RStudio Locale Closed
Task # 5451: Ensure that dependent libraries invoked by R have same versions in Datamin... Closed
Task # 5452: Is it possible to have a simple way for users to check that RStudio & Data... Closed
Related issues:

Related to D4Science Infrastructure - Task #4371: same R configuration (R ver... Closed Jun 23,2016 Jul 23, 2016
History

#1 - Oct 07, 2016 12:15 PM - Pasquale Pagano

- Assignee set to Andrea Dell'’Amico

Are there other subtasks associated to this activity? If we follow the ticket netiquette, sub tickets are a partition of the activities required to satisfy the
needs. In other words, if we open sub ticket then all activities should be in the sub ticket and nothing in the main ticket.

In this case, there is only one sub ticket and this is in feedback case. Please consider it and close it if possible. At this point if no other specific sub
tickets are open this master issue will be closed as well.

| hope | clarified the behaviour we should follow.

#2 - Oct 07,2016 12:26 PM - Emmanuel Blondel

Hello, let me explain, | created this ticket to make it clearly separated from an activity (developed a specific R algorithm) that was going beyond this
scope. Then i've realized that there was already task created on it to address specifically the R locales (i was not aware of). Hence:

e the present ticket is aimed to be a parent task, and i'm also going to add a dependent ticket for other R config alignment requirements

e i'm happy to see that ticket #5290 has been issued and treated promptly after i've pointed out the issue, but if someone request "feedback" in it,
please ensure to add people that is supposed to provide the feedback (i "discovered" the ticket only yesterday, and as said in it, i will provide
feedback ASAP).

Hope this clarifies

#3 - Oct 08, 2016 01:07 PM - Andrea Dell'Amico

- Related to Task #4371: same R configuration (R version and packages) on R-Studio as the one on machine(s) used by Dataminer. added

#4 - Oct 24, 2016 07:20 PM - Pasquale Pagano

- Tracker changed from Support to Task

Changing the nature of this issue since it generated a number of actions that are partially completed. Please provide feedback if it is requested and
specify a due date if you are the assignee of an action.
Thanks.
https://support.d4science.org/issues/4652#note-24
https://redmine.dev.d4science.org/issues/5290

#5 - Nov 28, 2016 05:07 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Dec 16, 2016 11:49 AM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'’Amico to Gianpaolo Coro

#7 - Dec 16, 2016 04:42 PM - Andrea Dell'Amico

Emmanuel Blondel wrote:

A first important alignment is about R system locales, as spotted in the above ticket; setting a R profile where the following statement is invoked:

Sys.setlocale (category = "LC_ALL", locale = "en_US.UTF-8")

The R profile was set some time ago by Gianpaolo, FYI

#8 - Feb 15, 2017 04:40 PM - Gianpaolo Coro

- Status changed from In Progress to Closed
